# $Revision: 1.66 $, $Date: 2006/03/13 23:08:42 $
Summary:	The NIS (Network Information Service) server
Summary(es):	Servidor NIS/YP
Summary(ja):	NIS(ͥåȥ󥵡ӥ)С
Summary(pl):	Serwer NIS (Network Information Service)
Summary(pt_BR):	Servidor NIS/YP
Summary(ru):	 NIS (Network Information Service)
Summary(uk):	 NIS (Network Information Service)
Summary(zh_CN):	NIS(Ϣ).
Name:		ypserv
Version:	2.17
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.kernel.org/pub/linux/utils/net/NIS/%{name}-%{version}.tar.bz2
# Source0-md5:	d0366ade2f46a2292de47bc1fe60e8fd
Source1:	%{name}-%{name}.init
Source2:	%{name}-yppasswdd.init
Source3:	%{name}-ypxfrd.init
Patch0:		%{name}-ypMakefile.patch
Patch1:		%{name}-path.patch
Patch2:		%{name}-nfsnobody.patch
Patch3:		%{name}-awk.patch
URL:		http://www.linux-nis.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	gdbm-devel
BuildRequires:	libwrap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	glibc >= 2.2
Requires:	portmap
Requires:	rc-scripts
Obsoletes:	yppasswd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/yp

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network. NIS can enable users
to login on any machine on the network, as long as the machine has the
NIS client programs running and the user's password is recorded in the
NIS passwd database. NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network. NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network. You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%description -l es
ypserv es una implementacin del protocolo padrn de red NIS/YP.
Permite el uso distribuido de informacin como hostname, username,
etc.

%description -l pl
NIS (Network Information Service) to system dostarczajcy informacje
sieciowe (nazwy uytkownikw, hasa, katalogi domowe, informacje o
grupach) wszystkim maszynom w sieci. NIS moe pozwala uytkownikom
logowa si na dowolnej maszynie w sieci pod warunkiem, e maszyna ma
dziaajce programy klienckie NIS i haso uytkownika jest zapisane w
bazie hase NIS. NIS by wczeniej znany jako YP (Sun Yellow Pages).

Ten pakiet zawiera serwer NIS, ktry musi dziaa w sieci. Klienci nie
musz dziaa na maszynie serwera.

%description -l pt_BR
ypserv  uma implementao do protocolo padro de rede NIS/YP. Ele
permite o uso distribudo de informaes como hostname, username, etc.

%description -l ru
Network Information Service (NIS) -  ,  
  (, ,  ,   ..)
   . NIS      
        NIS  
      NIS. NIS   
 Sun Yellow Pages (YP).

    NIS,      
.  NIS     NIS.

 ypserv     NIS   .  
    yp-tools  ypbind   ,
    NIS.

%description -l uk
Network Information Service (NIS) -  ,   
æ (Ǧ, ̦, Φ ,   ..) Ӧ
  ֦. NIS    Ȧ  -˦
Φ   æ Φ Φ ̦˦  NIS  
     ̦ NIS. NIS Φ  צ
 Sun Yellow Pages (YP).

  ͦ  NIS,      ۦ
֦. ̦ NIS  Φ   NIS.

צ ypserv   Ҧ  NIS  ϧ ֦. 
     yp-tools  ypbind  Φ
Φ,    ̦ NIS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f etc/README etc/README.etc

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--enable-check-root \
	--enable-fqdn \
	--enable-yppasswd
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	YPMAPDIR=/var/yp

install etc/ypserv.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ypserv
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/yppasswdd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/ypxfrd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ypserv
%service ypserv restart "YP server"

/sbin/chkconfig --add yppasswdd
%service yppasswdd restart "YP password changing server"

/sbin/chkconfig --add ypxfrd
%service ypxfrd restart "YP map server"

%triggerpostun -- ypserv <= ypserv-1.3.0-2
/sbin/chkconfig --add ypserv

%triggerpostun -- yppasswd
/sbin/chkconfig --add yppasswdd

%preun
if [ "$1" = "0" ]; then
	%service ypserv stop
	/sbin/chkconfig --del ypserv

	%service yppasswdd stop
	/sbin/chkconfig --del yppasswdd

	%service ypxfrd stop
	/sbin/chkconfig --del ypxfrd
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO NEWS
%doc etc/ypserv.conf etc/securenets etc/README.etc
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/yp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ypserv.conf
%dir /var/yp
%config(noreplace) %verify(not md5 mtime size) /var/yp/Makefile
%attr(754,root,root) /etc/rc.d/init.d/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_includedir}/rpcsvc/ypxfrd.x

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ypserv.spec,v $
Revision 1.66  2006/03/13 23:08:42  glen
- use %service, fixed typo in trigger, rel 4

Revision 1.65  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.64  2005/10/09 10:43:08  arekm
- rel 3; fix awk path

Revision 1.63  2005/10/08 12:13:57  darekr
- specify "rel ++"

Revision 1.62  2005/10/08 09:09:58  arekm
- rel ++ [rel. 2]

Revision 1.61  2005/06/27 01:34:21  undefine
- up to 2.17

Revision 1.60  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.59  2004/11/19 01:50:31  undefine
- up to 2.14

Revision 1.58  2004/05/07 17:24:52  undefine
- release 2 for AC

Revision 1.57  2004/05/07 16:39:54  undefine
- update to 2.13, remove obsolete -syslog.patch

Revision 1.56  2004/01/15 02:49:28  undefine
- update to 2.11

Revision 1.55  2004/01/05 04:10:03  undefine
- release 2

Revision 1.54  2004/01/05 04:09:44  undefine
- /usr/lib/yp -> %{_libdir}/yp to allow build on amd64

Revision 1.53  2003/10/26 13:20:41  arekm
- updated to 2.10

Revision 1.52  2003/08/08 09:06:44  qboosh
- use config(noreplace) for ypserv.conf and Makefile (BTS#723)
- missing dir, removed INSTALL (generic), more specific Requires
- removed Conflicts: glibc <= 2.1.3 - there is Requires: glibc >= 2.2
- release 2

Revision 1.51  2003/07/21 22:10:08  blues
- cosmetics

Revision 1.50  2003/07/05 23:19:50  areq
- 2.9

Revision 1.49  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.48  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/02/09 23:34:56  undefine
- update to 2.8

Revision 1.46  2003/02/08 02:14:21  undefine
- updated to 2.7
- br am >= 1.7

Revision 1.45  2003/02/04 19:42:38  undefine
- move to HEAD 2.6 version

Revision 1.36.2.2  2002/10/31 20:38:00  undefine
- updated to 2.6(security bug)
- typos
- how move it to HEAD?

Revision 1.36.2.1  2002/09/12 23:18:54  undefine
- update to 2.5 (branch DEVEL)

Revision 1.36  2002/04/24 22:38:42  kloczek
- merge translations from KSI and Conectiva.

Revision 1.35  2002/04/24 22:04:55  marcus
- rel.4.

Revision 1.34  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:15:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/12/24 10:19:50  qboosh
- pl translation

Revision 1.30  2001/09/17 11:10:55  blues
- release 3
- configure2_13

Revision 1.29  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.27  2001/05/17 20:33:35  kloczek
- added "Require: glibc >= 2.2" and "Conflicts: glibc <= 2.1.2".

Revision 1.26  2001/05/16 23:57:37  zagrodzki
- release 2 for rebuild with glibc 2.2.3

Revision 1.25  2001/04/07 17:59:46  kloczek
- updated to 1.3.12,
- fixed run levels in inits scripts.

Revision 1.24  2001/03/22 04:05:07  kloczek
- release 3: added security patch wit old known bug (known from 1.3.6).

Revision 1.23  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.22  2000/11/06 16:33:50  kloczek
- added syslog patch with security fix.

Revision 1.21  2000/11/06 16:32:18  kloczek
- release 2,
- use new rpm automation,
- standarize %post/%preun scripts.

Revision 1.20  2000/09/16 13:26:33  waszi
- updated requires/buildrequires

Revision 1.19  2000/09/02 13:41:59  bszx
 - Paths changes are reverted. I read the FHS document to it's end :-(

Revision 1.18  2000/09/02 10:05:29  bszx
 - %build deletes config.cache so configure can correctly find awk and make
 - pathes are changet to be compatible with FHS

Revision 1.17  2000/08/07 22:38:05  baggins
- fixed Group field

Revision 1.16  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/30 18:02:36  baggins
- updated to 1.3.11a

Revision 1.14  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.12  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.11  1999/10/14 14:28:30  baggins
- updated to 1.3.8
- removed 'update' patch as not needed

Revision 1.10  1999/10/08 17:47:54  baggins
- added 'update' patch

Revision 1.9  1999/09/14 15:18:53  baggins
- added libwrap patch

Revision 1.8  1999/09/14 15:13:39  baggins
- added patches
- added Requires: glibc >= 2.0

Revision 1.7  1999/09/11 13:25:31  misiek
- fixed requires (PR#68)

Revision 1.6  1999/07/12 23:06:29  kloczek
- added using CVS keywords in %changelog (for automating them).

Based on RH spec file.
